Needs to integrate with 3.5.5 Rated 3 out of 5 stars

I was disappointed to see that it was this add-on that hosed my latest release of FireFox.:( I'd like to see a new revision as well.